#pragma once

#ifndef __cplusplus
#error "This is a C++ header"
#endif

#include "Lib/Document/VivyDocument.hh"
#include "VivyDocumentView.hh"

namespace Vivy
{
class AbstractVivyDocumentNeeder {
protected:
    explicit AbstractVivyDocumentNeeder(VivyDocumentView &view)
        : rootVivyDocumentView(view)
        , rootVivyDocumentViewConst(rootVivyDocumentView)
        , rootVivyDocument(*rootVivyDocumentView.getDocument())
        , rootVivyDocumentConst(rootVivyDocument)
    {
    }

    VivyDocumentView &rootVivyDocumentView;
    const VivyDocumentView &rootVivyDocumentViewConst;

    VivyDocument &rootVivyDocument;
    const VivyDocument &rootVivyDocumentConst;
};
}
