#pragma once

#include "PreCompiledHeaders.hh"
#include "Rust/VVLib.hh"

namespace Vivy
{
class TimingSyl final : public QGraphicsObject {
    Q_OBJECT
public:
    explicit TimingSyl(VVLib::ASSSyllabe[], qint64, QGraphicsItem *parent = nullptr);

    QRectF boundingRect() const override;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override;

private:
    VVLib::ASSSyllabe *const syl;

public:
    void setLen(qint64 len);
};

}
