//! Module responsible to parse .VVL files, the files where the code is defined.

mod expr;
mod inst;
mod tabl;
mod tupl;

use self::{expr::expr, inst::instruction, tabl::table, tupl::any_tuple};
use crate::{ast::*, parser::*};
