#pragma once

#ifndef __cplusplus
#error "This is a C++ header"
#endif

#include "PreCompiledHeaders.hh"

namespace Vivy
{
class TimingBar final : public QGraphicsLineItem {
public:
    explicit TimingBar(QLine, QColor) noexcept;
    ~TimingBar() noexcept override = default;

private:
    static inline constexpr qint64 bar_demi_width = 2;
    static inline constexpr qint64 bar_width      = 2 * bar_demi_width;

protected:
    //void mousePressEvent(QGraphicsSceneMouseEvent*);
    QVariant itemChange(GraphicsItemChange, const QVariant &) noexcept override;
    /*
    void hoverEnterEvent (QGraphicsSceneHoverEvent*) override;
    void hoverLeaveEvent (QGraphicsSceneHoverEvent*) override;
    */
};
}
